## hubzero-filexfer 0.8.0

=== Makefile ===
# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
# All rights reserved.
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License, version 2.1 as published by the Free Software Foundation.

INSTDIR=$(DESTDIR)/apps
OWNER=root
GROUP=root
APPSOWNER=apps
APPSGROUP=apps

clean:
	rm -f build-stamp configure-stamp

install:
	install --owner $(APPSOWNER) --group $(GROUP) --mode 0775 -d $(INSTDIR)
	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0755 -d $(INSTDIR)/filexfer
	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D download.css $(INSTDIR)/filexfer/download.css
	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D download.html $(INSTDIR)/filexfer/download.html
	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0755 -D exportfile $(INSTDIR)/filexfer/exportfile
	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0755 -D exportfile.tcl $(INSTDIR)/filexfer/exportfile.tcl
	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0755 -D filexfer $(INSTDIR)/filexfer/filexfer
	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0755 -D importfile $(INSTDIR)/filexfer/importfile
	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0755 -D importfile.tcl $(INSTDIR)/filexfer/importfile.tcl
	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D server.tcl $(INSTDIR)/filexfer/server.tcl
	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D tclIndex $(INSTDIR)/filexfer/tclIndex
	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D upload.css $(INSTDIR)/filexfer/upload.css
	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D upload.html $(INSTDIR)/filexfer/upload.html
	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D utils.tcl $(INSTDIR)/filexfer/utils.tcl

## hubzero-filexfer 0.8.1

=== Makefile ===
--- 
+++ 
@@ -16,6 +16,7 @@
 
 install:
 	install --owner $(APPSOWNER) --group $(GROUP) --mode 0775 -d $(INSTDIR)
+	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0755 -d $(INSTDIR)/bin
 	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0755 -d $(INSTDIR)/filexfer
 	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D download.css $(INSTDIR)/filexfer/download.css
 	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D download.html $(INSTDIR)/filexfer/download.html

## hubzero-filexfer 1.0.0

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,31 @@
-# Copyright 2006-2009 by Purdue Research Foundation, West Lafayette, IN 47906.
+#
+# @package      hubzero-filexfer
+# @file         Makefile
+# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
+# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
+# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
+#
+# Copyright (c) 2010-2011 Purdue University
 # All rights reserved.
 #
-# This library is free software; you can redistribute it and/or
-# modify it under the terms of the GNU Lesser General Public
-# License, version 2.1 as published by the Free Software Foundation.
+# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
+#
+# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
+# software: you can redistribute it and/or modify it under the terms of
+# the GNU Lesser General Public License as published by the Free Software
+# Foundation, either version 3 of the License, or (at your option) any
+# later version.
+#
+# HUBzero is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public License
+# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+#
+# HUBzero is a registered trademark of Purdue University.
+#
 
 INSTDIR=$(DESTDIR)/apps
 OWNER=root
@@ -30,3 +52,9 @@
 	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D upload.css $(INSTDIR)/filexfer/upload.css
 	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D upload.html $(INSTDIR)/filexfer/upload.html
 	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D utils.tcl $(INSTDIR)/filexfer/utils.tcl
+	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D getopts.tcl $(INSTDIR)/filexfer/getopts.tcl
+	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D earth_download-32.png  $(INSTDIR)/filexfer/earth_download-32.png
+	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D earth_download-64.png  $(INSTDIR)/filexfer/earth_download-64.png
+	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D earth_upload-32.png  $(INSTDIR)/filexfer/earth_upload-32.png
+	install --owner $(APPSOWNER) --group $(APPSGROUP) --mode 0644 -D earth_upload-64.png  $(INSTDIR)/filexfer/earth_upload-64.png
+

## hubzero-filexfer 1.0.2

=== Makefile ===
#
# @package      hubzero-filexfer
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2011 Purdue University. All rights reserved.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2011 Purdue University
# All rights reserved.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of Purdue University.
#

INSTDIR=$(DESTDIR)/usr/share/hubzero-filexfer
USRBINDIR=$(DESTDIR)/usr/bin
OWNER=root
GROUP=root

clean:
	rm -f build-stamp configure-stamp

install:
	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D download.css $(INSTDIR)/download.css
	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D download.html $(INSTDIR)/download.html
	install --owner $(OWNER) --group $(GROUP) --mode 0755 -D exportfile $(USRBINDIR)/exportfile
	install --owner $(OWNER) --group $(GROUP) --mode 0755 -D filexfer $(USRBINDIR)/filexfer
	install --owner $(OWNER) --group $(GROUP) --mode 0755 -D importfile $(USRBINDIR)/importfile
	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D server.tcl $(INSTDIR)/server.tcl
	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D tclIndex $(INSTDIR)/tclIndex
	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D upload.css $(INSTDIR)/upload.css
	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D upload.html $(INSTDIR)/upload.html
	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D utils.tcl $(INSTDIR)/utils.tcl
	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D getopts.tcl $(INSTDIR)/getopts.tcl
	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D earth_download-32.png  $(INSTDIR)/earth_download-32.png
	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D earth_download-64.png  $(INSTDIR)/earth_download-64.png
	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D earth_upload-32.png  $(INSTDIR)/earth_upload-32.png
	install --owner $(OWNER) --group $(GROUP) --mode 0644 -D earth_upload-64.png  $(INSTDIR)/earth_upload-64.png

## hubzero-filexfer 1.1.2

=== Makefile ===
#
# @package      hubzero-filexfer
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

INSTDIR=$(DESTDIR)/usr/share/hubzero-filexfer
USRBINDIR=$(DESTDIR)/usr/bin

default all build:
	true

install:
	install --mode 0644 -D download.css $(INSTDIR)/download.css
	install --mode 0644 -D download.html $(INSTDIR)/download.html
	install --mode 0755 -D exportfile $(USRBINDIR)/exportfile
	install --mode 0755 -D filexfer $(USRBINDIR)/filexfer
	install --mode 0755 -D importfile $(USRBINDIR)/importfile
	install --mode 0644 -D server.tcl $(INSTDIR)/server.tcl
	install --mode 0644 -D tclIndex $(INSTDIR)/tclIndex
	install --mode 0644 -D upload.css $(INSTDIR)/upload.css
	install --mode 0644 -D upload.html $(INSTDIR)/upload.html
	install --mode 0644 -D utils.tcl $(INSTDIR)/utils.tcl
	install --mode 0644 -D getopts.tcl $(INSTDIR)/getopts.tcl
	install --mode 0644 -D earth_download-32.png  $(INSTDIR)/earth_download-32.png
	install --mode 0644 -D earth_download-64.png  $(INSTDIR)/earth_download-64.png
	install --mode 0644 -D earth_upload-32.png  $(INSTDIR)/earth_upload-32.png
	install --mode 0644 -D earth_upload-64.png  $(INSTDIR)/earth_upload-64.png
	
configure:
	true
	
clean:
	rm -f build-stamp configure-stamp

## hubzero-filexfer 1.1.6

=== Makefile ===
--- 
+++ 
@@ -2,10 +2,10 @@
 # @package      hubzero-filexfer
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2012 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2013 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-filexfer 1.1.9

=== Makefile ===
--- 
+++ 
@@ -33,14 +33,12 @@
 	true
 
 install:
-	install --mode 0644 -D download.css $(INSTDIR)/download.css
 	install --mode 0644 -D download.html $(INSTDIR)/download.html
 	install --mode 0755 -D exportfile $(USRBINDIR)/exportfile
 	install --mode 0755 -D filexfer $(USRBINDIR)/filexfer
 	install --mode 0755 -D importfile $(USRBINDIR)/importfile
 	install --mode 0644 -D server.tcl $(INSTDIR)/server.tcl
 	install --mode 0644 -D tclIndex $(INSTDIR)/tclIndex
-	install --mode 0644 -D upload.css $(INSTDIR)/upload.css
 	install --mode 0644 -D upload.html $(INSTDIR)/upload.html
 	install --mode 0644 -D utils.tcl $(INSTDIR)/utils.tcl
 	install --mode 0644 -D getopts.tcl $(INSTDIR)/getopts.tcl

## hubzero-filexfer 1.2.0

=== Makefile ===
# @package      hubzero-filexfer
# @file         Makefile
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
#
# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
#
# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
#
# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
# software: you can redistribute it and/or modify it under the terms of
# the GNU Lesser General Public License as published by the Free Software
# Foundation, either version 3 of the License, or (at your option) any
# later version.
#
# HUBzero is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

USRBIN=$(DESTDIR)/usr/bin
USRSHARE=$(DESTDIR)/usr/share

all:
	@true

install:
	install --mode 0644 -D download.html $(USRSHARE)/hubzero-filexfer/download.html
	install --mode 0755 -D exportfile $(USRBIN)/exportfile
	install --mode 0755 -D filexfer $(USRBIN)/filexfer
	install --mode 0755 -D importfile $(USRBIN)/importfile
	install --mode 0644 -D server.tcl $(USRSHARE)/hubzero-filexfer/server.tcl
	install --mode 0644 -D tclIndex $(USRSHARE)/hubzero-filexfer/tclIndex
	install --mode 0644 -D upload.html $(USRSHARE)/hubzero-filexfer/upload.html
	install --mode 0644 -D utils.tcl $(USRSHARE)/hubzero-filexfer/utils.tcl
	install --mode 0644 -D getopts.tcl $(USRSHARE)/hubzero-filexfer/getopts.tcl
	install --mode 0644 -D earth_download-32.png  $(USRSHARE)/hubzero-filexfer/earth_download-32.png
	install --mode 0644 -D earth_download-64.png  $(USRSHARE)/hubzero-filexfer/earth_download-64.png
	install --mode 0644 -D earth_upload-32.png  $(USRSHARE)/hubzero-filexfer/earth_upload-32.png
	install --mode 0644 -D earth_upload-64.png  $(USRSHARE)/hubzero-filexfer/earth_upload-64.png

uninstall:
	@true

postinst:
	@true

clean:
	@true

.PHONY: all install uninstall postinst clean

## hubzero-filexfer 1.3.2

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-filexfer
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 # @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
 #
-# Copyright (c) 2010-2014 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
 # This file is part of: The HUBzero(R) Platform for Scientific Collaboration
 #

## hubzero-filexfer 2.0.0

=== Makefile ===
--- 
+++ 
@@ -2,25 +2,27 @@
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
 # @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
-# @license      http://www.gnu.org/licenses/lgpl-3.0.html LGPLv3
+# @license      http://opensource.org/licenses/MIT MIT
 #
 # Copyright (c) 2010-2015 HUBzero Foundation, LLC.
 #
-# This file is part of: The HUBzero(R) Platform for Scientific Collaboration
+# Permission is hereby granted, free of charge, to any person obtaining a copy
+# of this software and associated documentation files (the "Software"), to deal
+# in the Software without restriction, including without limitation the rights
+# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
+# copies of the Software, and to permit persons to whom the Software is
+# furnished to do so, subject to the following conditions:
 #
-# The HUBzero(R) Platform for Scientific Collaboration (HUBzero) is free
-# software: you can redistribute it and/or modify it under the terms of
-# the GNU Lesser General Public License as published by the Free Software
-# Foundation, either version 3 of the License, or (at your option) any
-# later version.
+# The above copyright notice and this permission notice shall be included in
+# all copies or substantial portions of the Software.
 #
-# HUBzero is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY; without even the implied warranty of
-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-# GNU Lesser General Public License for more details.
-#
-# You should have received a copy of the GNU Lesser General Public License
-# along with this program.  If not, see <http://www.gnu.org/licenses/>.
+# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
+# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
+# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
+# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
+# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
+# THE SOFTWARE.
 #
 # HUBzero is a registered trademark of HUBzero Foundation, LLC.
 #

## hubzero-filexfer 2.2.0-1+deb8

=== debian/changelog ===
hubzero-filexfer (2.2.0-1+deb8) unstable; urgency=low

  * update copyright, license, version
  * Remove dependency on Rappture

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 21 May 2018 11:20:48 -0400

hubzero-filexfer (2.0.0-1) unstable; urgency=low

  * update copyright, license, version

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 06 Sep 2015 10:49:23 -0400

hubzero-filexfer (1.3.2-1) unstable; urgency=low

  * remove long deprecated hubzero-app-filexfer package

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 06 Sep 2015 10:48:00 -0400

hubzero-filexfer (1.3.1-1) unstable; urgency=low

  * copyright updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 16 Feb 2015 10:46:31 -0500

hubzero-filexfer (1.2.0-4) unstable; urgency=low

  * tweak transitional package dependencies

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 14 Sep 2014 18:24:56 -0400

hubzero-filexfer (1.2.0-3) unstable; urgency=low

  * remove dependency breaks since this source package provides 
    transitional pkg

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 13 Sep 2014 12:14:19 -0400

hubzero-filexfer (1.2.0-2) unstable; urgency=low

  * fix dependencies for ancient transitional package

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 13 Sep 2014 12:10:02 -0400

hubzero-filexfer (1.2.0-1) unstable; urgency=low

  * Repackaged to support multiple Debian releases

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 09 Sep 2014 16:56:47 -0400

hubzero-filexfer (1.1.10-1) unstable; urgency=low

  * copyright updates

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 24 Aug 2013 13:15:51 -0400

hubzero-filexfer (1.1.9-1) unstable; urgency=low

  * fix filexfer css to not obscure save as button 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 17 Jul 2013 18:04:03 -0400

hubzero-filexfer (1.1.8-1) unstable; urgency=low

  * change default link color to match red used on hubbasic2012 template

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 16 Jul 2013 16:30:41 -0400

hubzero-filexfer (1.1.7-1) unstable; urgency=low

  * new default filexfer css and logo settings 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 16 Jul 2013 16:18:14 -0400

hubzero-filexfer (1.1.6-1) unstable; urgency=low

  * make filexfer header link open in new window 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 13 Jul 2013 16:24:28 -0400

hubzero-filexfer (1.1.5-1) unstable; urgency=low

  * hub_url no longer needed in filexfer

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sat, 13 Jul 2013 16:09:50 -0400

hubzero-filexfer (1.1.4-1) unstable; urgency=low

  * css files can be accessed in a template independent way now
  * add default css as an internal style sheet

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Wed, 03 Jul 2013 16:07:08 -0400

hubzero-filexfer (1.1.3-1) unstable; urgency=low

  * explicitly use 127.0.0.1 instead of localhost to avoid potential
    issues with localhost resolving to IPv6 interface which
    may not yet be support
  * update file copyrights
  * replaces references to zepar template with hubbasic 2012 (for now)

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 24 Jun 2013 10:32:57 -0400

hubzero-filexfer (1.1.2-1) unstable; urgency=low

  * download xml files as text/plain so they can be seen raw

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 31 Aug 2012 18:01:56 -0400

hubzero-filexfer (1.1.1-1) unstable; urgency=low

  * update HUBzero Foundation, LLC copyrights and Debian 6 packaging

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Fri, 31 Aug 2012 12:49:58 -0400

hubzero-filexfer (1.1.0-1) unstable; urgency=low

  * fix lintian packaging warnings

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 19 Mar 2012 11:40:02 -0400

hubzero-filexfer (1.0.3-1) unstable; urgency=low

  * update how filexfer finds executables importfile and exportfile

 -- Derrick Kearney <dsk@purdue.edu>  Wed, 15 Feb 2012 13:29:17 -0500

hubzero-filexfer (1.0.2-1) unstable; urgency=low

  * fix argument quoting when re-execing tcl scripts

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 14 Feb 2012 17:33:21 -0500

hubzero-filexfer (1.0.1-2) unstable; urgency=low

  * remove postinst 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 08 Nov 2011 11:34:57 -0500

hubzero-filexfer (1.0.1-1) unstable; urgency=low

  * move installation out of /apps and into /usr

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 07 Nov 2011 16:52:46 -0500

hubzero-filexfer (1.0.0-1) testing; urgency=low

  * Updated to 1.0

 -- John Rosheck <jrosheck@purdue.edu>  Thu, 07 Apr 2011 23:53:57 -0400

hubzero-filexfer (0.9.1-1) testing; urgency=low

  * use 'use' to load rappture environment

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 04 Apr 2011 14:36:28 -0400

hubzero-filexfer (0.9.0-1) testing; urgency=low

  * Moved to testing, advanced version number

 -- John Rosheck <jrosheck@purdue.edu>  Mon, 04 Apr 2011 00:51:24 -0400

hubzero-filexfer (0.8.1-1) unstable; urgency=low

  * add getopt.tcl to build 

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Sun, 03 Apr 2011 19:25:03 -0400

hubzero-filexfer (0.8.0-2) unstable; urgency=low

  * Reworked for unstable release

 -- John Rosheck <jrosheck@purdue.edu>  Mon, 19 Sep 2010 18:21:24 -0400

hubzero-filexfer (0.8.0-1) unstable; urgency=low

  * Initial release.

 -- John Rosheck <jrosheck@purdue.edu>  Fri, 10 Sep 2010 15:31:41 -0400

=== debian/control ===
Source: hubzero-filexfer
Section: misc
Priority: optional
Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.8.4
Homepage: http://hubzero.org

Package: hubzero-filexfer
Architecture: all
Depends: tcl, tclx, ${misc:Depends}
Suggests: hubzero-mw-session
Replaces: hubzero-app-filexfer
Breaks: hubzero-app-filexfer
Description: HUBzero Session File Transfer Utility
 Allow the transfer of files to and from HUBzero session containers
 using a per session http server.

=== debian/rules ===
#!/usr/bin/make -f
#
# @package      hubzero-filexfer
# @file         rules
# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
# @license      http://opensource.org/licenses/MIT MIT
#
# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
#
# HUBzero is a registered trademark of HUBzero Foundation, LLC.
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

$(info ########## Goals: $(MAKECMDGOALS) ##########)

CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

export CFLAGS
export CPPFLAGS
export CXXFLAGS
export LDFLAGS

DEB_MAJOR:=$(shell lsb_release -r -s | cut -d . -f 1)

configure:
	@echo "########## configure ##########"
	dh_testdir
	>$@

build: configure
	@echo "########## build ##########"
	dh_testdir
	$(MAKE)
	>$@

clean:
	@echo "########## clean ##########"
	dh_testdir
	dh_testroot
	rm -fr build configure
	$(MAKE) clean
	dh_clean

install: build
	@echo "########## install ##########"
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) DESTDIR=$(CURDIR)/debian/hubzero-filexfer install

binary-indep: install
	@echo "########## binary-indep ##########"
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installlogrotate -i
	dh_installinit -i
	dh_installman -i
	#dh_python2 -i
	dh_link -i
	dh_strip -i
	dh_lintian -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: install
	@echo "########## binary-arch ##########"
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a
	dh_installdocs -a
	dh_installexamples -a
	dh_install -a
	dh_installlogrotate -a
	dh_installinit -a
	dh_installman -a
	dh_link -a
	dh_strip -a
	dh_lintian -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep 
#binary: binary-arch
	@echo "########## binary ##########"

.PHONY: clean binary-indep binary-arch binary install

## hubzero-filexfer 2.2.1-1+deb8

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,10 @@
 # @package      hubzero-filexfer
 # @file         Makefile
 # @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2015 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal

=== debian/changelog ===
hubzero-filexfer (2.2.1-1+deb8) unstable; urgency=low

  * move comment to safe location

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 22 May 2018 16:57:09 -0400

hubzero-filexfer (2.2.0-1) unstable; urgency=low

  * update copyright, license, version
  * Remove dependency on Rappture

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Mon, 21 May 2018 11:20:48 -0400

## hubzero-filexfer 2.2.1-1+deb9

=== debian/changelog ===
hubzero-filexfer (2.2.1-1+deb9) unstable; urgency=low

  * move comment to safe location

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 22 May 2018 16:57:09 -0400

## hubzero-filexfer 2.2.1-1+deb10

=== debian/changelog ===
hubzero-filexfer (2.2.1-1+deb10) unstable; urgency=low

  * move comment to safe location

 -- Nicholas J. Kisseberth <nkissebe@purdue.edu>  Tue, 22 May 2018 16:57:09 -0400

## hubzero-filexfer 2.2.2-1+deb9

=== debian/changelog ===
hubzero-filexfer (2.2.2-1+deb9) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years
  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 21:22:20 -0700

hubzero-filexfer (2.2.1-1) unstable; urgency=low

  * move comment to safe location

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 22 May 2018 16:57:09 -0400

## hubzero-filexfer 2.2.2-1+deb10

=== debian/changelog ===
hubzero-filexfer (2.2.2-1+deb10) unstable; urgency=low

  * fix binary range to end at 255 not 256, threw exception in tcl 8.6/debian10"

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 13 May 2020 15:55:05 -0700

## hubzero-filexfer 2.2.3-1+deb10

=== debian/changelog ===
hubzero-filexfer (2.2.3-1+deb10) unstable; urgency=low

  * fix binary rang to end at 255 not 256, threw exception in tcl 8.6/debian10

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 14 Sep 2021 11:48:36 -0700

hubzero-filexfer (2.2.2-1) unstable; urgency=low

  * update copyright/trademark ownership
  * update email address references
  * remove per file @author references
  * update copyright years
  * add Debian 9 support

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Wed, 19 Aug 2020 21:22:20 -0700

=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,10 @@
 #
 # @package      hubzero-filexfer
 # @file         rules
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -26,7 +25,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 # Uncomment this to turn on verbose mode.

## hubzero-filexfer 2.2.3-3+deb7

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,9 @@
 # @package      hubzero-filexfer
 # @file         Makefile
-# @author       Nicholas J. Kisseberth <nkissebe@purdue.edu>
-# @copyright    Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# @copyright    Copyright (c) 2010-2020 The Regents of the University of California.
 # @license      http://opensource.org/licenses/MIT MIT
 #
-# Copyright (c) 2010-2018 HUBzero Foundation, LLC.
+# Copyright (c) 2010-2020 The Regents of the University of California.
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the "Software"), to deal
@@ -24,7 +23,7 @@
 # OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 # THE SOFTWARE.
 #
-# HUBzero is a registered trademark of HUBzero Foundation, LLC.
+# HUBzero is a registered trademark of The Regents of the University of California.
 #
 
 USRBIN=$(DESTDIR)/usr/bin

=== debian/changelog ===
hubzero-filexfer (2.2.3-3+deb7) unstable; urgency=low

  * sync redhat and debian version numbers

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 26 May 2023 10:04:03 -0700

hubzero-filexfer (2.2.3-2) unstable; urgency=low

  * fix redhat packaging

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Thu, 11 Aug 2022 17:40:04 -0700

hubzero-filexfer (2.2.3-1) unstable; urgency=low

  * fix binary rang to end at 255 not 256, threw exception in tcl 8.6/debian10

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Tue, 14 Sep 2021 11:48:36 -0700

## hubzero-filexfer 2.2.3-3+deb10

=== debian/changelog ===
hubzero-filexfer (2.2.3-3+deb10) unstable; urgency=low

  * sync redhat and debian version numbers

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 26 May 2023 10:04:03 -0700

## hubzero-filexfer 2.2.4-1+deb7

=== debian/changelog ===
hubzero-filexfer (2.2.4-1+deb7) unstable; urgency=low

  * revert debian 10 patches for this special build for debian 7

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 02 Jun 2023 10:31:27 -0700

## hubzero-filexfer 2.3.0-1+deb7

=== debian/changelog ===
hubzero-filexfer (2.3.0-1+deb7) unstable; urgency=low

    - Use backgrounded nobup process instead of double fork daemon which
      fails in tcl8.4 used in Debian7 containers. Redirect stdout/stderr
      to /dev/null, improving killing of background prcesseses.
    - Explicitly refer to system TCL installation.  
      Avoid use of Rappture or anaconda versions of tclsh which
      do not include Tclx
    - Without use rappture, sourcing environ.sh is not required
    - Added ability to upload multiple files
    - Added checksum for files and text upload
    - Added Cancel button to importfile form

 -- Steven Clark <smclark@sdsc.edu>  Tue, 11 Jul 2023 13:32:17 -0700

hubzero-filexfer (2.2.3-3) unstable; urgency=low

  * sync redhat and debian version numbers

 -- Nicholas J. Kisseberth <nkisseberth@ucsd.edu>  Fri, 26 May 2023 10:04:03 -0700

## hubzero-filexfer 2.3.0-1+deb10

=== debian/changelog ===
hubzero-filexfer (2.3.0-1+deb10) unstable; urgency=low

    - Use backgrounded nobup process instead of double fork daemon which
      fails in tcl8.4 used in Debian7 containers. Redirect stdout/stderr
      to /dev/null, improving killing of background prcesseses.
    - Explicitly refer to system TCL installation.  
      Avoid use of Rappture or anaconda versions of tclsh which
      do not include Tclx
    - Without use rappture, sourcing environ.sh is not required
    - Added ability to upload multiple files
    - Added checksum for files and text upload
    - Added Cancel button to importfile form

 -- Steven Clark <smclark@sdsc.edu>  Tue, 11 Jul 2023 13:32:17 -0700

## hubzero-filexfer 2.3.0-1+deb12

=== debian/changelog ===
hubzero-filexfer (2.3.0-1+deb12) unstable; urgency=low

    - Use backgrounded nobup process instead of double fork daemon which
      fails in tcl8.4 used in Debian7 containers. Redirect stdout/stderr
      to /dev/null, improving killing of background prcesseses.
    - Explicitly refer to system TCL installation.  
      Avoid use of Rappture or anaconda versions of tclsh which
      do not include Tclx
    - Without use rappture, sourcing environ.sh is not required
    - Added ability to upload multiple files
    - Added checksum for files and text upload
    - Added Cancel button to importfile form

 -- Steven Clark <smclark@sdsc.edu>  Tue, 11 Jul 2023 13:32:17 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: hubzero-filexfer
 Section: misc
 Priority: optional
-Maintainer: Nicholas J. Kisseberth <nkissebe@purdue.edu>
+Maintainer: Nicholas J. Kisseberth <nkisseberth@ucsd.edu>
 Build-Depends: debhelper (>= 8.0.0)
 Standards-Version: 3.8.4
 Homepage: http://hubzero.org
